Query Proposed Security Policy Rules
Retrieves a paginated list of rules for a specific proposed security policy.
Notes
- Rules are always returned ordered by sequence number ascending.
- Filtering and sorting parameters in the request body are not applied.
- Returns 200 on success
Unique identifier of the segmentation session.
Unique identifier of the proposed security policy.
Pagination parameters. Only offset and page_size are applied; filtering and sort parameters are accepted but ignored - rules are always returned ordered by sequence number ascending.
{
"offset": 0,
"page_size": 50
}
Successfully retrieved rules
{
"offset": 0,
"number_of_results": 2,
"total_result_count": 2,
"total_pages": 1,
"sort_ascending": true,
"sort_by": "sequenceNumber",
"results": [
{
"id": "SSP_Infra_tcp_80_Rule",
"display_name": "SSP_tcp_80",
"description": "SSP created rule for tcp_80 for SSP_Infra_tcp_80",
"action": "ALLOW",
"disabled": false,
"proposed_sync_action": "OVERWRITE",
"nsx_rule": {
"resource_type": "Rule",
"id": "SSP_Infra_tcp_80_Rule",
"sequence_number": 1000,
"source_groups": [
"ANY"
],
"destination_groups": [
"/infra/domains/default/groups/6a2b432f-9a52-3898-ad88-2900435a1d1a"
],
"action": "ALLOW",
"services": [
"ANY"
],
"service_entries": [
{
"resource_type": "L4PortSetServiceEntry",
"l4_protocol": "TCP",
"destination_ports": [
"80"
]
}
]
}
},
{
"id": "SSP_Infra_udp_85_Rule",
"display_name": "SSP_udp_85",
"description": "SSP created rule for udp_85 for SSP_Infra_udp_85",
"action": "ALLOW",
"disabled": false,
"proposed_sync_action": "OVERWRITE",
"nsx_rule": {
"resource_type": "Rule",
"id": "SSP_Infra_udp_85_Rule",
"sequence_number": 1100,
"source_groups": [
"ANY"
],
"destination_groups": [
"/infra/domains/default/groups/0b7a2831-dff9-32fa-99ff-4831cb922e97"
],
"action": "ALLOW",
"services": [
"ANY"
],
"service_entries": [
{
"resource_type": "L4PortSetServiceEntry",
"l4_protocol": "UDP",
"destination_ports": [
"85"
]
}
]
}
}
]
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unexpected error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-security-policies/{policy-id}/rules